package com.steerinfo.meterwork.meterworkdatacount.mapper;

import com.steerinfo.baseinfo.meterbasespotinfo.model.MeterBaseSpotInfo;
import com.steerinfo.meterwork.meterworkdatacount.model.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.shiro.crypto.hash.Hash;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface MeterWorkDataCountMapper {
    List<HashMap> countFirstAndActual(HashMap<String, Object> param);
    HashMap productionAndOperationDaily(HashMap<String, Object> param);
    List<CarRegularComparison> carRegularComparisonA(HashMap<String, Object> param);
    List<CarRegularComparison> carRegularComparisonB(HashMap<String, Object> param);
    List<WorkLoadReportInfo> groupByDayCarReportInfo(HashMap<String, Object> param);
    List<WorkLoadReportInfo> groupByDayStaticReportInfo(HashMap<String, Object> param);
    List<TruckHisTareComparison> truckHisTareComparison(HashMap<String, Object> param);
    List<String> measurementAccuracyAnalysisFunction(HashMap<String, Object> param);
    List<MeasurementAccuracyAnalysis> measurementAccuracyAnalysis(HashMap<String, Object> param);
    List<HookTareWeightAndTheoryAmount> hookTareWeightAndTheoryAmount(HashMap<String, Object> param);
    List<TwoMillionTareWeightComparison> twoMillionTareWeightComparison(HashMap<String, Object> param);
    List<StaticRailwayRemoteComparison> staticRailwayRemoteComparison(HashMap<String, Object> param);
    List<MeterBaseSpotInfo> rfidIdentifyAnalysisSummarySpot(HashMap<String, Object> param);
    List<RfidIdentifyAnalysis> rfidIdentifyAnalysisSummary(HashMap<String, Object> param);
    List<CarActualTareWeightComparison> carActualTareWeightComparison(HashMap<String, Object> param);
    List<CarActualTareWeightComparison> carActualTareWeightComparisonDetail(HashMap<String, Object> param);
    List<CarActualTareWeightComparison> carActualNetWeightComparisonDetail(HashMap<String, Object> param);
    List<RailwayActualGrossWeightComparison> railwayActualGrossWeightComparison(HashMap<String, Object> param);
    List<RailwayActualGrossWeightComparison> railwayActualGrossWeightComparisonDetail(HashMap<String, Object> param);
    List<RailwayActualGrossWeightComparison> railwayActualNetWeightComparisonDetail(HashMap<String, Object> param);
    List<NetWeightAndTheoryAmount> railwayNetWeightAndTheoryAmount(Map<String, Object> params);
    List<LongCarMeterWeightComparison> longCarMeterWeightComparison(Map<String, Object> params);
    List<ScaleOrCarComparison> scaleOrCarComparison(Map<String, Object> params);

    List<String> measurementAccuracyOperationPage(HashMap params);

    List<String> measurementAccuracyCreateManName(HashMap params);

    List<StaticRailwayRemoteComparison> dynamicRailwayRemoteComparison(HashMap params);
}
